package com.junmp.jyzb.config.rabbitMQ;

import org.springframework.amqp.core.*;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
public class DirectRabbitConfig {
    // 死信交换机名称
    private static final String DEAD_EXCHANGE = "dead_exchange";
    //队列 起名：
    @Bean
    public Queue TestQueue() {
        return new Queue("TestQueue",true);
    }

    //Direct交换机 起名
    @Bean
    public DirectExchange TestExchange()    {
        return new DirectExchange("TestExchange",true,false);
    }

    //绑定  将队列和交换机绑定, 并设置用于匹配键：Test1Routing
    @Bean
    Binding bindingDirect() {
        return BindingBuilder.bind(TestQueue()).to(TestExchange()).with("Test1Routing");
    }
}